SEQAN_TCOFFEE(1)

NAME
seqan_tcoffee - Multiple sequence alignment

SYNOPSIS
seqan_tcoffee -s <FASTA FILE> [OPTIONS]

DESCRIPTION
seqan2::T-Coffee is a multiple sequence alignment tool.

(c) Copyright 2009 by Tobias Rausch

OPTIONS

-h, --help
    Display the help message.

--version
    Display version information.

  Main Options::

-s, --seq INPUT_FILE
    Name of multi-fasta input file. Valid filetypes are: .frn, .fna, .ffn, .fasta, .fas, .faa, and .fa.

-a, --alphabet STRING
    The used sequence alphabet. One of protein, dna, rna, and iupac. Default: protein.

-o, --outfile OUTPUT_FILE
    Name of the output file. Valid filetypes are: .msf, .frn, .fna, .ffn, .fasta, .fas, .faa, and .fa. Default: out.fasta.

  Segment Match Generation Options::

-m, --method List of STRING's
    Defines the generation method for matches. To select multiple generation methods recall this option with different arguments. One of global, local, overlap, and lcs. Default: global and local.

-l, --libraries List of INPUT_FILE's
    Name of match file. To select multiple files recall this option with different arguments. Valid filetypes are: .mums, .lib, .blast, and .aln.

-pa, --pairwise-alignment STRING
    Pairwise alignment method. Default: unbanded for usual alignments (< 50 sequences), banded for deep alignments (>= 50 sequences) One of unbanded and banded.

-bw, --band-width INTEGER
    Band width. This option automatically select banded pairwise alignment (see pa for details) In range [2..inf]. Default: 60.

  Scoring Options::

-g, --gop INTEGER
    gap open penalty Default: -13.

-e, --gex INTEGER
    gap extension penalty Default: -1.

-ma, --matrix STRING
    score matrix Default: Blosum62.

-ms, --msc INTEGER
    match score Default: 5.

-mm, --mmsc INTEGER
    mismatch penalty Default: -4.

  Guide Tree Options::

-u, --usetree STRING
    Name of the file containing the Newick Guide Tree.

-b, --build STRING
    Method to build the tree. Following methods are provided: Neighbor-Joining (nj), UPGMA single linkage (min), UPGMA complete linkage (max), UPGMA average linkage (avg), UPGMA weighted average linkage (wavg). Neighbor-Joining creates an unrooted tree, which we root at the last joined pair. One of nj, min, max, avg, and wavg. Default: nj.

  Alignment Evaluation Options::

-i, --infile INPUT_FILE
    Name of the alignment file <FASTA FILE> Valid filetypes are: .frn, .fna, .ffn, .fasta, .fas, .faa, and .fa.